# dkim_geterror()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_geterror(
    	DKIM *dkim
    );

Retrieve the last stored error message associated with a DKIM handle.

DESCRIPTION

Called When | `dkim_geterror()` can be called at any time after a handle is initialized with a call to `dkim_sign()` or `dkim_verify()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`NULL` | No error message has been stored for this handle.
otherwise | A pointer to the last stored error string.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.